# # VectorLayer

## # Props

All common layers props

### # `source`

- Type: `Object | String`
- Non-Synced
- Description: A vector tile source.
- See: `Vector source` in Mapbox Style Spec
  (opens new window)

## # Computed getters

### # `getSourceFeatures(filter?)`

- Arguments:
  - `filter` `Array` A filter to limit query results.
- Description Returns an array of GeoJSON Feature objects from assosiated source filtered by `filter`.
- See `.querySourceFeatures()` map method
  (opens new window)

### # `getRenderedFeatures(geometry, filter)`

- Arguments:
  - `filter` `Array` A filter to limit query results.
  - `geometry` `Array | Object` The geometry of the query region.
- Description Returns an array of visible GeoJSON Feature objects from assosiated source filtered by `filter`.
- See `.queryRenderedFeatures()` map method
  (opens new window)

## # Methods

### # `setFeatureState(featureId, state)`

- Arguments:
  - `featureId` `String | Number` Feature identifier.
  - `state` `Object` A set of key-value pairs. The values should be valid JSON types.
- Description Sets the state of a feature. The state object is merged in with the existing state of the feature.
- See `.setFeatureState()` map method
  (opens new window)

### # `getFeatureState(featureId)`

- Arguments:
  - `featureId` `String | Number` Feature identifier.
- Description Gets the state of a feature.
- See `.getFeatureState()` map method
  (opens new window)

## # Events

All common layer events